compose_metadata:
  config-hash: 75a6f41900c24484f88f2594e3c6e39fbd2f9f9614b6a000f73248c6efc1555d
  container-number: '1'
  oneoff: 'False'
  project: paperless-ai
  project.config_files: docker-compose.yml
  project.working_dir: /home/jonathan/paperless-ai
  service: paperless-ai
  version: 1.29.2
container_id: 4e07d7387bbb3a9e40e05a5a19dea887b4129a99f0f7273a3a1b836546b6b3e1
created: '2025-06-23T02:11:54.246385218Z'
devices:
  device_cgroup_rules: []
  device_requests: []
  devices: []
environment:
  NODE_ENV: production
  NODE_VERSION: 22.16.0
  PAPERLESS_AI_PORT: '3000'
  PATH: /app/venv/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
  PGID: '1000'
  PUID: '1000'
  YARN_VERSION: 1.22.22
execution:
  cmd:
  - ./start-services.sh
  entrypoint:
  - docker-entrypoint.sh
  stop_signal: null
  user: ''
  working_dir: /app
host_system: jonathan-2518f5u_20250824
image:
  platform: linux
  sha: sha256:ae07822b66539978d93e49da372e5168be315dc2b1de67a47f1c8bbe8589c2f3
  tag: clusterzx/paperless-ai:latest
labels:
  com.docker.compose.config-hash: 75a6f41900c24484f88f2594e3c6e39fbd2f9f9614b6a000f73248c6efc1555d
  com.docker.compose.container-number: '1'
  com.docker.compose.oneoff: 'False'
  com.docker.compose.project: paperless-ai
  com.docker.compose.project.config_files: docker-compose.yml
  com.docker.compose.project.working_dir: /home/jonathan/paperless-ai
  com.docker.compose.service: paperless-ai
  com.docker.compose.version: 1.29.2
  org.opencontainers.image.created: '2025-06-22T17:49:44.326Z'
  org.opencontainers.image.description: An automated document analyzer for Paperless-ngx
    using OpenAI API, Ollama, Deepseek-r1, Azure and all OpenAI API compatible Services
    to automatically analyze and tag your documents.
  org.opencontainers.image.licenses: MIT
  org.opencontainers.image.revision: 9359a1d59505a4a746729cc904ab345aef6f8f5d
  org.opencontainers.image.source: https://github.com/clusterzx/paperless-ai
  org.opencontainers.image.title: paperless-ai
  org.opencontainers.image.url: https://github.com/clusterzx/paperless-ai
  org.opencontainers.image.version: 3.0.7
name: paperless-ai
networks:
  dns:
    nameservers: []
    options: []
    search_domains: []
  extra_hosts: null
  links: null
  networks:
    bridge:
      aliases: []
      dns_names: null
      endpoint_id: 8cd5f3c8cb3fc596ede42e463f108d09ffd4e0c955b665e1a0af45915e21965d
      gateway: 172.17.0.1
      global_ipv6_address: ''
      ip_address: 172.17.0.6
      ip_prefix_len: 16
      ipam_config: null
      ipv6_gateway: ''
      mac_address: 02:42:ac:11:00:06
      network_id: 19e19e1e17ac08d903b6bd86f4fed90cf9406daf57e13130ed717752a4bd63e0
  publish_all_ports: false
ports:
  bindings:
    3000/tcp:
    - host_ip: ''
      host_port: '3000'
  exposed:
  - 3000/tcp
  published:
    3000/tcp:
    - host_ip: 0.0.0.0
      host_port: '3000'
    - host_ip: '::'
      host_port: '3000'
resources:
  blkio:
    device_read_bps: null
    device_read_iops: null
    device_write_bps: null
    device_write_iops: null
    weight: 0
    weight_device: null
  cpu:
    count: 0
    cpuset_cpus: ''
    cpuset_mems: ''
    percent: 0
    period: 0
    quota: 0
    realtime_period: 0
    realtime_runtime: 0
    shares: 0
  io:
    maximum_bandwidth: 0
    maximum_iops: 0
  memory:
    limit: 0
    oom_kill_disable: null
    reservation: 0
    swap: 0
    swappiness: null
  pids_limit: null
  shm_size: 67108864
  ulimits: null
runtime:
  auto_remove: false
  cgroup_ns_mode: private
  ipc_mode: private
  network_mode: bridge
  pid_mode: ''
  privileged: false
  restart_policy:
    MaximumRetryCount: 0
    Name: unless-stopped
  user_ns_mode: ''
  uts_mode: ''
security:
  apparmor_profile: docker-default
  cap_add: null
  cap_drop:
  - ALL
  cgroup: ''
  cgroup_parent: ''
  group_add: null
  isolation: ''
  masked_paths:
  - /proc/asound
  - /proc/acpi
  - /proc/kcore
  - /proc/keys
  - /proc/latency_stats
  - /proc/timer_list
  - /proc/timer_stats
  - /proc/sched_debug
  - /proc/scsi
  - /sys/firmware
  - /sys/devices/virtual/powercap
  no_new_privileges: false
  oom_score_adj: 0
  readonly_paths:
  - /proc/bus
  - /proc/fs
  - /proc/irq
  - /proc/sys
  - /proc/sysrq-trigger
  readonly_rootfs: false
  runtime: runc
  security_opt:
  - no-new-privileges=true
source_file: system_audit_jonathan-2518f5u_20250824_112825/discovery/2_services/container_paperless-ai.json
volumes:
  bind_strings:
  - paperless-ai_paperless-ai_data:/app/data:rw
  detailed_mounts:
  - destination: /app/data
    driver: local
    mode: rw
    name: paperless-ai_paperless-ai_data
    propagation: ''
    rw: true
    source: /var/lib/docker/volumes/paperless-ai_paperless-ai_data/_data
    type: volume
